bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#25317: [bug-gnu-emacs] emacs-25.1.91 build feedback


From: Eli Zaretskii
Subject: bug#25317: [bug-gnu-emacs] emacs-25.1.91 build feedback
Date: Sun, 22 Jan 2017 18:27:35 +0200

> Date: Sat, 21 Jan 2017 18:11:43 -0700
> From: "Nelson H. F. Beebe" <address@hidden>
> Cc: address@hidden, address@hidden
> 
> One pain in emacs-x.y.z releases is that if any of the graphics
> libraries (gif, jpeg, png, tiff, ...) and associated header files are
> missing, configure aborts.  
> 
> I would MUCH rather that it just warned that it would not be able to
> supply that rarely-used feature of viewing bitmap graphics files, and
> carry on with the build.  
> 
> I had to manually restart a substantial fraction of the builds that
> I've done so far (157 automated, 53 manual).  On several platforms, it
> seems difficult to get all of the needed graphics libraries installed,
> without running into package dependencies that say "you can have THIS
> package, but not THAT package, because it depends on YET ANOTHER
> package that cannot be installed on your O/S version".

The behavior was originally like you prefer, but it was changed to
what it is now because users complained that a warning amidst the gobs
of output the configure script pours on users is very hard to notice.

I see your point, but your situation is an unusual one, whereby you
build many different configurations via automated scripts.  That's not
how most users build Emacs.

Perhaps a special option --with-PACKAGE=silent could be added to cater
to your use case.  But it cannot be the default, IMO.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]